Subject: bug#23672: 25.0.94; unitialized package specific menus

From: Tino Calancha <[email-masked]>
Date: Wed, 1 Jun 2016 22:33:55 +0900 (JST)

The menus especific to one package, e.g. dired, are not
always fully initialized after loading the library:
some menus may show _anything_ after click on them.

emacs -Q
C-x C-f RET
;;; click mouse left button on Menu "Regexp"
;;  The menu doesn't appear correctly.
;;  Same happen with menus: "Mark", "Immediate" or "Subdir"
::  Menu "Operate" shows the wrong information.
;;
;;; Now click mouse left button on Menu "Tools".
;;  The previous menus are refreshed and show the correct information.

;;; Now try similar test but starting Emacs with:
emacs -Q ~
C-x C-f RET
;;; This time, all menus are initialized and show the right info.

;;; This is a general issue not something restricted to dired.
;; For instance, compare the response of menu "Mark" in I), II) and III):

I)
./emacs -Q
M-x ibuffer RET
;; "View" and "Mark" don't respond as expected; "Operate" looks wrong too.

II) ./emacs -Q --eval "(require 'ibuffer)"
M-x ibuffer RET
;; Same as I)

III) ./emacs -Q --eval '(ibuffer)'
;; All menus looks good.

In GNU Emacs 25.0.94.2 (x86_64-pc-linux-gnu, GTK+ Version 3.20.4)
Repository revision: 9c28e70b4b4b1887030e41103b5f6dd8304585e6